Subject: Re: [Bitcoin-development] Proposal: Encrypt bitcoin messages

From: Gregory Maxwell <[email-masked]>
Date: Tue, 19 Aug 2014 09:38:21 -0700

On Tue, Aug 19, 2014 at 9:07 AM, Justus Ranvier
<[email-masked]> wrote:
> If that's not acceptable, even using TLS with self-signed certificates
> would be an improvement.

TLS is a huge complex attack surface, any use of it requires an
additional dependency with a large amount of difficult to audit code.
TLS is trivially DOS attacked and every major/widely used TLS
implementation has had multiple memory disclosure or remote execution
vulnerabilities even in just the last several years.

We've dodged several emergency scale vulnerabilities by not having TLS.